<jsp:useBean id="wtcontext" class="wt.httpgw.WTContextBean" scope="session"/>
<jsp:setProperty name="wtcontext" property="request" value="<%=request%>"/>

<%@ page import="wt.fc.Persistable" %>
<%@ page import="wt.util.*" %>
<%@ page import="wt.epm.*" %>
<%@ page import="wt.fc.*" %>

<%@ page import="wt.method.RemoteAccess" %>
<%@ page import="wt.method.RemoteMethodServer" %>
<%@ page import="wt.inf.container.WTContainer"%>

<%@page import="com.ptc.netmarkets.model.NmOid"%>

<HTML>
<HEAD>
<TITLE>Download DRW PDF - PLT</TITLE>
</HEAD>
<BODY>

<H4>PDF or PLT Object/Download Info:</H4>

<%
if( request.getParameter("oid") != null ) {

	String oid = request.getParameter("oid");
	String name = "";
	String version = "";
	String iteration = "";
	String epm_number = "";
	String context = "";
	String rtnStg = "";
	String dlLoc = "";
	String errEpm = "Object should be a CAD Doc & DRW.<br>";

   	Persistable p = null;
   	p = (Persistable)NmOid.newNmOid(oid).getReferencedIteration();

   	if(p instanceof EPMDocument) {
		EPMDocument epmdoc = (EPMDocument)p;
		
		if( epmdoc.getNumber().endsWith(".DRW")) {
			name = epmdoc.getName();
			epm_number = epmdoc.getNumber();
			version = epmdoc.getVersionIdentifier().getValue();
			iteration = epmdoc.getIterationIdentifier().getValue();
			WTContainer container = epmdoc.getContainer();
			context = NmOid.newNmOid(container.getPersistInfo().getObjectIdentifier()).toString();

			out.println("CAD Doc Number: <b>"+epm_number+"</b><br>");
			out.println("CAD Doc Name: <b>"+name+"</b><br>");
			out.println("Revision: <b>"+version+"."+iteration+"</b><br>");
			out.println("Container: <b>"+container+"</b><br>");
			out.println("Product/Libray: <b>"+context+"</b><br>");

			dlLoc = "URL";
			String conType = "pdf";

			out.println("Download Location: <b>"+dlLoc+"</b> (Configurable)<br>");
			out.println("Representation/Content Type: <b>"+conType+"</b> (Configurable)<br>");

			Class[] aclass = { String.class, String.class, String.class };
			Object aobj[] = { dlLoc, epm_number, conType };

			try {
				rtnStg = (String)RemoteMethodServer.getDefault().invoke("getEPMDoc", "ext.dlRep", null, aclass, aobj );
			}
			catch(Exception exception)
			{
				exception.printStackTrace();
			}

			if (dlLoc.equals("URL")) {
				String[] rtnStgSplit;
				rtnStgSplit = rtnStg.split("\\|");

				%>
				<br>Select Link to Download/Save: <a href="<%= rtnStgSplit[2] %>"><%= rtnStgSplit[0] %></a><br>
				<%
			}
			else {
			    out.println("<br>File has been downloaded to: <b>"+dlLoc+"</b> (Configurable)<br>");
			}
		}
		else {
			out.println(errEpm);
		}
	}
	else {
		out.println(errEpm);
	}
}
%>
</BODY>
</HTML>
